> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Inbound

> Retrieves a specific inbound by its ID



## OpenAPI

````yaml get /v1/Inbound/{inboundId}
openapi: 3.0.1
info:
  title: NLPearl Client API
  description: A sample API that demonstrates features in the OpenAPI specification
  version: v1
servers:
  - url: https://api.nlpearl.ai
    description: Production Environement
security:
  - bearer_auth: []
paths:
  /v1/Inbound/{inboundId}:
    get:
      tags:
        - Inbound
      summary: Get Inbound
      description: Retrieves a specific inbound by its ID
      parameters:
        - name: inboundId
          in: path
          description: The unique identifier of the inbound.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Details of the specific inbound.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/InboundApiView'
            application/json:
              schema:
                $ref: '#/components/schemas/InboundApiView'
            text/json:
              schema:
                $ref: '#/components/schemas/InboundApiView'
        '400':
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    InboundApiView:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the inbound activity.
          nullable: true
        name:
          type: string
          description: The name of the inbound activity.
          nullable: true
        status:
          allOf:
            - $ref: '#/components/schemas/eActivityStatus'
          description: |+
            Here is the activity status

            `1 - Running`

            `2 - Paused`

            `3 - Suspended`

            `10 - TemporaryMaintenance`

        pearlName:
          type: string
          description: The name of the Pearl associated with this inbound activity.
          nullable: true
        totalAgents:
          type: integer
          description: The total number of agents allocated to this inbound activity.
          format: int32
        phoneNumber:
          type: string
          description: The phone number associated with this inbound activity.
          nullable: true
        totalTodayCalls:
          type: integer
          description: The total number of calls received today.
          format: int32
        totalOngoingCalls:
          type: integer
          description: The total number of ongoing calls.
          format: int32
        totalOnQueue:
          type: integer
          description: The total number of calls currently in the queue.
          format: int32
        created:
          type: string
          description: The date and time when the inbound activity was created.
          format: date-time
        creditUsed:
          type: integer
          format: int32
      additionalProperties: false
    ValidationProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
      additionalProperties: {}
    eActivityStatus:
      type: integer
      description: |+
        Here is the activity status

        `1 - Running`

        `2 - Paused`

        `3 - Suspended`

        `10 - TemporaryMaintenance`

      format: int32
  securitySchemes:
    bearer_auth:
      type: http
      description: >-
        Specify the authorization token.


        For more information, check out the [Authorization
        Guide](/api-reference/authorization).
      scheme: bearer

````